
Figure - Bug #115087
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】【仅时钟】进入时钟小窗设置界面->全屏->进recent->再次长按应用进入时钟小
窗，此时无法打开时钟小窗，重复操作会造成时钟崩溃
2023-01-05 14:25 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-05

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0066.X101

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

Reproducibility: Every time Fixed Version: 2023-01-06

Test Type: IT Root cause: 对象被回收时未检查对象状态

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开时钟小窗

2、点击右上角设置，进入设置页面

3、点击小窗全屏按钮

4、上划进recent

5、长按桌面上的时钟图标

6、点击小窗选项

【预期结果】

6、能够正常打开时钟小窗

【实际结果】

6、无法打开时钟小窗，重复操作会造成时钟崩溃

History

#1 - 2023-01-05 15:01 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_C sample_20230113

#2 - 2023-01-05 15:29 - CD TEST-方永红

- Priority changed from Normal to Urgent

- Severity changed from Normal to Critical

#3 - 2023-01-05 16:33 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#4 - 2023-01-06 10:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

174367 general/platform/packages/apps/Desk

2025-07-04 1/2

Pre_figure_turbox-c2130c-la1.1-qssi12 hong.wang_a@thundersoft.com



Clock -dev

AF:DeskClock:Fix clock crash bug1.Fix the bug that when entering the clock setting interface, switching between small window and full screen will crashTC-RID:

1201-0300901IssueID: TS-R-BUG-115087Change-Id: Ib7de915376e642dc8c15699dbf0a556ad9bd3bda

#5 - 2023-01-06 10:50 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-01-06

- Root cause set to 对象被回收时未检查对象状态

■ Current conclusion

已合并代码

■ My analysis

对象被回收时未检查对象状态

■Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/DeskClock/+/174367

#6 - 2023-01-09 14:03 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD TEST-方永红

#7 - 2023-01-09 14:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Assignee changed from CD TEST-方永红 to CD APP-王宏

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

1.9

验证通过

#8 - 2023-01-09 14:08 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#9 - 2023-01-09 14:08 - CD TEST-方永红

- Assignee changed from CD APP-王宏 to CD TEST-方永红

Files

Phone-STS40X190122 2023-01-05 14-23-13.mp4 46.6 MB 2023-01-05 CD TEST-方永红

logcat.txt 1.49 MB 2023-01-05 CD TEST-方永红
